Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.newdawn.slick.util.xml
Class SlickXMLException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              org.newdawn.slick.SlickException
                  org.newdawn.slick.util.xml.SlickXMLException

All Implemented Interfaces:
  java.io.Serializable

    public class SlickXMLException

extends SlickException

An exception to describe failures in XML. Made a special case because with XML to object parsing you might want to handle it differently

Author:
  kevin
See Also:
  Serialized Form

Constructor Summary
`SlickXMLException(java.lang.String message)` Create a new exception
`SlickXMLException(java.lang.String message, java.lang.Throwable e)` Create a new exception

Method Summary

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### SlickXMLException

    public SlickXMLException(java.lang.String message)

  Create a new exception

  Parameters:
    `message` - The message describing the failure

### SlickXMLException

    public SlickXMLException(java.lang.String message,
                             java.lang.Throwable e)

  Create a new exception

  Parameters:
    `message` - The message describing the failure
    `e` - The exception causing this failure

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006 New Dawn Software. All Rights Reserved.